1. Conversion
Affiliate.com API Documentation
  • Affiliate.com API Endpoints
    • Account
      • Get User Team Account Information
    • Network Groups
      • List All Network Groups
    • Networks
      • List All Networks
      • Get Single Specific Network
    • Merchants
      • List All Merchants
      • Get Single Specific Merchant Name
      • Get a Single Specific Merchant ID
    • Products
      • Search Products
    • Omni
      • Omni
    • Conversion
      • URL to Barcode
        POST
      • Barcode to SKU
        POST
      • ASIN to Barcode
        POST
      • SKU to Barcode
        POST
      • Barcode to ASIN
        POST
    • Watch
      • Set Product Watch
      • Get All Product Watches
      • Get Specific Product Watch
      • Get Specific Product Watch from Metadata
      • Edit Product Watch
      • Delete Product Watch
      • Get Single Product Watch Notification History
      • Get Product Watch Notification History via Metadata
    • Product List
      • Create Product List
      • Get Product Lists
      • Get Single List
      • Get List By Metadata
      • Add Products to a List
      • Remove Products from a List
      • Delete Product List
  1. Conversion

Barcode to ASIN

POST
/v1/tools/convert/barcode-to-asin

Request

Header Params

Body Params application/json

Example
{
  "data": [
    "8806095074122",
    "0887276760049"
  ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/v1/tools/convert/barcode-to-asin' \
--header 'Accept-Encoding: application/json' \
--header 'Authorization: Bearer {{token}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "data": [
    "8806095074122",
    "0887276760049"
  ]
}'

Responses

🟢200Success
application/json
Body

Example
{
    "meta": {
        "from": "barcode",
        "to": "asin",
        "from_total": 2,
        "to_total": 1,
        "trace_id": "0196f461-079d-73c5-9c4e-aab8c4834d53"
    },
    "data": {
        "8806095074122": [
            {
                "asin": "B0C792QRW6",
                "locale": "us"
            }
        ]
    }
}
🟠429Rate Limit Exceeded
🟠422Parameter Error
Modified at 2025-05-21 19:45:02
Previous
SKU to Barcode
Next
Watch